#
# TODO: fix build with lua. Now when lua enabled conky requires tolua++-devel when installing
#
# Conditional build:
%bcond_with	lua_cairo	# without lua cairo bindings
%bcond_with	lua_imlib2	# without lua imlib2 bindings
#
Summary:	A light-weight system monitor
Summary(pl.UTF-8):	Monitor systemu dla środowiska graficznego
Name:		conky
Version:	1.8.1
Release:	5
License:	Distributable (see COPYING doc)
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/conky/%{name}-%{version}.tar.bz2
# Source0-md5:	366dc6a5c2ebebfbe6f53da25061b5d6
URL:		http://conky.sourceforge.net/
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf
BuildRequires:	automake
%{?with_lua_cairo:BuildRequires:	cairo-devel}
BuildRequires:	curl-devel
BuildRequires:	expat-devel
BuildRequires:	freetype-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	imlib2-devel
BuildRequires:	libtool
BuildRequires:	libxml2-devel
BuildRequires:	lua51-devel >= 5.1
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel
%if %{with lua_cairo} || %{with lua_imlib2}
BuildRequires:	tolua++-devel >= 1.0.90
%endif
BuildRequires:	xorg-lib-libXdamage-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conky is a light-weight system monitor based on the torsmo code. Conky
can display arbitrary information (such as the date, CPU temperature
from i2c, MPD info, and anything else you desire) to the root window
in X11.

%description -l pl.UTF-8
Conky jest niewielkim monitorem systemu opartym na kodzie torsmo. Może
wyświetlać takie informacje, jak:
- data
- temperatura CPU
- ilość miejsca na dysku itp.

%package lua-cairo
Summary:	Lua Cairo bindings for Conky
Summary(pl.UTF-8):	Dowiązania Lua Cairo dla Conky
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description lua-cairo
Lua Cairo bindings for Conky.

%description lua-cairo -l pl.UTF-8
Dowiązania Lua Cairo dla Conky.

%package lua-imlib2
Summary:	Lua Imlib2 bindings for Conky
Summary(pl.UTF-8):	Dowiązania Lua Imlib2 dla Conky
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description lua-imlib2
Lua Imlib2 bindings for Conky.

%description lua-imlib2 -l pl.UTF-8
Dowiązania Lua Imlib2 dla Conky.

%prep
%setup -q
%{__sed} -i 's,lua5.1,lua51,' configure.ac

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} `pkg-config ncurses --cflags`" \
	--enable-curl \
	--enable-imlib2 \
	--enable-weather-xoap \
	--enable-wlan \
	--enable-rss \
	%{?with_lua_cairo:--enable-lua-cairo} \
	%{?with_lua_imlib2:--enable-lua-imlib2}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
# COPYING must be added (see COPYING file)
%doc AUTHORS ChangeLog COPYING README TODO
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_sysconfdir}/conky
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conky/%{name}.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conky/%{name}_no_x11.conf
%if %{with lua_cairo} || %{with lua_imlib2}
%dir %{_libdir}/conky
%endif
%{_mandir}/man1/%{name}.1*

%if %{with lua_cairo}
%files lua-cairo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/conky/libcairo.so.*.*.*
%{_libdir}/conky/libcairo.so
%endif

%if %{with lua_imlib2}
%files lua-imlib2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/conky/libimlib2.so.*.*.*
%{_libdir}/conky/libimlib2.so
%endif
%changelog
* Sat Nov 21 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/conky.git;a=log;h=master

* Sat Nov 21 2015 Jan Rękorajski <baggins@pld-linux.org> 8dc37e3
- fix files
- rel 5

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c482491
- updated gettext BR

* Sat Jan 21 2012 lisu <lisu@pld-linux.org> 4f6c77e
- no more separated libtinf(w)

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 01a3b72
- release 4

* Fri Aug 19 2011 Zsolt Udvari <uzsolt@pld-linux.org> 32b7e2c
- enable-wlan and enable-rss passed to configure (I think there are commonly used)
- rel up

* Sun Jan 30 2011 sparky <sparky@pld-linux.org> 1a88412
- BR: libxml2-devel

* Wed Nov 17 2010 lisu <lisu@pld-linux.org> 37bd5fc
- release 2

* Mon Nov 15 2010 lisu <lisu@pld-linux.org> 895a075
- lua bindings disabled by default unless TODO is is done

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> f408739
- BR: sqlite3-devel

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 571e10f
- enable weather support (XOAP and METAR)

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> 2eb3d92
- lua_imlib2 bcond

* Tue Nov 09 2010 sparky <sparky@pld-linux.org> 77f0741
- enabled curl and imlib2
- BR: alsa-lib-devel, curl-devel, imlib2-devel

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> a6e78e5
- do not package ghost
- R for lua-cairo

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> e4cdbbc
- BR: tolua++-devel will install tolua++ as well

* Tue Nov 09 2010 lisu <lisu@pld-linux.org> bdea8ea
- separate package for lua cairo bindings
- tolua++ binary is required to proper build

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 638247a
- BR: cairo-devel when building with lua_cairo

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 7ac63b4
- package libcairo.so plugin
- TODO

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 29e47b7
- cosmetics

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> ab08a68
- s/tolua++-libs/tolua++-devel
- rel 3

* Mon Nov 08 2010 lisu <lisu@pld-linux.org> 67ce5da
- add lua_cairo bcond which enables lua cairo bindings for conky
- release 2

